import { IRopidDeparturesPreset } from "../../../../../schema-definitions/ropid-departures-presets";
import { ISimpleConfig } from "@golemio/core/dist/helpers/configuration/ISimpleConfig";
export interface IDeparturesPresetsData {
    data: IRopidDeparturesPreset[];
}
export declare class DeparturesPresetsDataSource {
    private config;
    private departurePresets;
    constructor(config: ISimpleConfig);
    getAll(): Promise<IDeparturesPresetsData>;
    getLastModified(): Promise<string>;
}
